# syntax=docker/dockerfile:1

FROM osixia/openldap:latest

LABEL MAINTAINER lordoftheflies <laszlo.hegedus@cherubits.hu>

COPY ./bootstrap /container/service/slapd/assets/config/bootstrap
COPY ./certs /container/service/slapd/assets/certs
COPY ./environment /container/environment/01-custom

USER openldap

# Option2: Using the same encrypted password as host
COPY /etc/group /etc/group 
COPY /etc/passwd /etc/passwd
COPY /etc/shadow /etc/shadow

# Setup default user, when enter docker container
USER 911:911
WORKDIR /home/${USER}